Summary:        Resolver subproject of xml-commons
Name:           xml-commons-resolver
Version:        1.2
Release:        2%{?dist}
License:        ASL 2.0
URL:            http://xerces.apache.org/xml-commons/components/resolver/
Source0:        http://www.apache.org/dist/xerces/xml-commons/%{name}-%{version}.tar.gz
Source1:        %{name}-pom.xml
Source2:        %{name}-resolver.1
Source3:        %{name}-xparse.1
Source4:        %{name}-xread.1

Patch3000:      %{name}-1.2-crosslink.patch
Patch3001:      %{name}-1.2-osgi.patch

BuildRequires:  javapackages-local
BuildRequires:  ant
BuildRequires:  apache-parent

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Requires:       javapackages-tools

%description
Resolver subproject of xml-commons.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.



%prep
%autosetup -p1

find . -name "*.jar" -exec rm -f {} \;
rm -rf docs
sed -i 's/\r//' KEYS LICENSE.resolver.txt NOTICE-resolver.txt

%mvn_file : xml-commons-resolver xml-resolver



%build
%ant -f resolver.xml jar javadocs -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8
%mvn_artifact %{SOURCE1} build/resolver.jar



%install
%mvn_install -J build/apidocs/resolver

mkdir -p $RPM_BUILD_ROOT%{_bindir}
%jpackage_script org.apache.xml.resolver.apps.resolver "" "" %{name} xml-resolver true
%jpackage_script org.apache.xml.resolver.apps.xread "" "" %{name} xml-xread true
%jpackage_script org.apache.xml.resolver.apps.xparse "" "" %{name} xml-xparse true

install -d -m 755 ${RPM_BUILD_ROOT}%{_mandir}/man1
install -p -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_mandir}/man1/xml-resolver.1
install -p -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_mandir}/man1/xml-xparse.1
install -p -m 644 %{SOURCE4} ${RPM_BUILD_ROOT}%{_mandir}/man1/xml-xread.1



%files -f .mfiles
%license LICENSE.resolver.txt
%doc KEYS  NOTICE-resolver.txt
%{_mandir}/man1/*
%{_bindir}/xml-*

%files javadoc -f .mfiles-javadoc
%license LICENSE.resolver.txt
%doc NOTICE-resolver.txt



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.2-1
- initial
